org.mariadb.jdbc.internal.mysql.packet

## Class MySQLBinaryRowPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.MySQLBinaryRowPacket

    public class MySQLBinaryRowPacket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MySQLBinaryRowPacket(RawPacket rawPacket, MySQLColumnInformation[] columnInformation2, Options options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendPacketIfNeeded(PacketFetcher packetFetcher)`
`void` `appendPacketIfNeeded(PacketFetcher packetFetcher, long encLength)`
`ValueObject[]` `getRow(PacketFetcher packetFetcher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLBinaryRowPacket

    public MySQLBinaryRowPacket(RawPacket rawPacket,
                                MySQLColumnInformation[] columnInformation2,
                                Options options)
                         throws IOException

Throws:
  `IOException`

### Method Detail

#### appendPacketIfNeeded

    public void appendPacketIfNeeded(PacketFetcher packetFetcher)
                              throws IOException

Throws:
  `IOException`

#### appendPacketIfNeeded

    public void appendPacketIfNeeded(PacketFetcher packetFetcher,
                                     long encLength)
                              throws IOException

Throws:
  `IOException`

#### getRow

    public ValueObject[] getRow(PacketFetcher packetFetcher)
                         throws IOException

Throws:
  `IOException`